/*
Theme Name: Mona Child
Template:   dermal
Theme URI: https://themeforest.net/user/awaiken
Description: Dermatologist & Cosmetology Clinic WordPress Theme
Author: Awaiken
Author URI: https://themeforest.net/user/awaiken
Version: 1.0.0
Text Domain: dermal-child
*/

/* ----- custom ----- */
:root {
	--four-color: #C4913B;
	--right-btn-social: 22px;
	--width-social-show: 58px;
	--width-hide: 50px;
}

/* back to top */
.back-to-top {
	width: 40px;
    height: 40px;
    border-radius: 6px;
    background-color: var( --e-global-color-primary );
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    position: fixed;
    bottom: 60px;
    right: 30px;
    z-index: 7;
    transform: translateX(30px);
    opacity: 0;
    transition: 0.5s linear;
    cursor: pointer;
    visibility: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
	z-index: 99;
	box-shadow: 0 3px 13px 0 rgba(0, 0, 0, 0.15);
}
.back-to-top.mona-to-top {
	visibility: visible;
	transform: translatex(0px);
	opacity: 1;
}
.back-to-top .triangle {
	display: block;
    width: 0;
    height: 0;
    z-index: 2;
    border: 8px solid transparent;
    border-bottom: 6px solid #fff;
    margin-top: -6px;
    border-radius: 5px;
}
.back-to-top .triangle:nth-child(1) {
    animation: BTT 1.5s linear 0.6s infinite;
}
.back-to-top .triangle:nth-child(2) {
    animation: BTT 1.5s linear 0.3s infinite;
}
.back-to-top .triangle:nth-child(3) {
    animation: BTT 1.5s linear 0s infinite;
}
@keyframes BTT {
	0% {
		opacity: 0;
	}
	33% {
		opacity: 1;
	}
	66% {
		opacity: 0;
	}
	100% {
		opacity: 0;
	}
}

/* social button */
.show-all-icon.contact-icons-right,
#ft-contact-icons.contact-icons-right {
	bottom: 120px;
}
.show-all-icon.contact-icons-right {
    width: var(--width-social-show);
    height: var(--width-social-show);
    display: flex;
    border-radius: 1000px;
    justify-content: center;
    align-items: center;
    padding: 10px;
    right: var(--right-btn-social);
	background-color: var(--e-global-color-primary);
    border: 4px solid #fff;
    box-shadow: 0 3px 13px 0 rgba(0, 0, 0, 0.3);
	transition: all 0.3s;
	opacity: 1;
    z-index: 99999 !important;
}
.show-all-icon.contact-icons-right,
#ft-contact-icons .item .js-hide-all-icon {
	cursor: pointer;
}
.show-all-icon.contact-icons-right.hide-me {
	opacity: 0;
	z-index: -1 !important;
}
.show-all-icon.contact-icons-right:hover,
#ft-contact-icons .item .js-hide-all-icon .icon:hover {
	color: var(--e-global-color-primary);
	background-color: var(--e-global-color-secondary);
}
.show-all-icon.contact-icons-right span {
	text-align: center;
    line-height: 1.3;
    font-size: 12px;
    font-weight: 500;
}
#ft-contact-icons.contact-icons-right {
    right: 26px;
    transition: all 0.3s;
    opacity: 0;
    max-height: 2000px;
    overflow: visible;
    z-index: -1 !important;
}
#ft-contact-icons.contact-icons-right.active {
	opacity: 1;
    z-index: 99999 !important;
}
#ft-contact-icons.contact-icons-right>div.item {
	margin-bottom: 4px;
}
#ft-contact-icons li .icon, 
#ft-contact-icons .item .icon {
	width: var(--width-hide);
    height: var(--width-hide);
    line-height: var(--width-hide);
}
#ft-contact-icons .item .js-hide-all-icon .icon {
	background-color: var(--e-global-color-primary);
}
#ft-contact-icons-out-m {
	padding-right: 0;
}
#ft-contact-icons-out-m,
#ft-contact-icons-out-m>div.item:last-child{
	margin-bottom: 0;
}
#ft-contact-icons.contact-icons-right li span.ab, 
#ft-contact-icons.contact-icons-right .item span.ab {
	background-color: var(--e-global-color-primary);
    border-radius: 1000px;
}
#phonering-alo-phoneIcon {
	--left-ic-phone: 100px;
	--bg-color: #e90808;
}
#phonering-alo-phoneIcon .number {
	top: calc(var(--left-ic-phone) + 8px);
    left: calc(var(--left-ic-phone) + 20px);
}
#phonering-alo-phoneIcon .phonering-alo-ph-circle {
	left: calc(var(--left-ic-phone) / 2 - 5px);
	top: calc(var(--left-ic-phone) / 2 - 5px);
	border-color: var(--bg-color) !important;
}
#phonering-alo-phoneIcon .phonering-alo-ph-circle-fill {
	left: calc(var(--left-ic-phone) - 25px);
	top: calc(var(--left-ic-phone) - 25px);
	background-color: rgb(233 8 8 / 50%);
}
#phonering-alo-phoneIcon .number a {
	padding-left: 25px;
}
.phonering-alo-phone .phonering-alo-ph-img-circle {
	--img-width-ic: 25px;
	--width-phone: 50px;
	background: unset;
	display: flex;
    justify-content: center;
    align-items: center;
	z-index: 2;
	left: var(--left-ic-phone);
	top: var(--left-ic-phone);
}
.phonering-alo-phone .phonering-alo-ph-img-circle,
.phonering-alo-phone .phonering-alo-ph-img-circle a {
	width: var(--width-phone);
	height: var(--width-phone);
}
.phonering-alo-phone .phonering-alo-ph-img-circle,
#phonering-alo-phoneIcon .number a {
	background-color: var(--bg-color) !important;
}
.phonering-alo-phone .phonering-alo-ph-img-circle:before {
	content: '';
    background-image: url(/wp-content/uploads/2025/09/phone-now.svg);
    width: var(--img-width-ic);
    height: var(--img-width-ic);
    display: block;
    background-size: cover;
    position: absolute;
}
.show-all-icon.contact-icons-right i {
	display: none;
}

/* button */
.elementor-widget-button .elementor-button:focus {
	background-color: var( --e-global-color-accent );
}
.btn-primary.elementor-widget-button .elementor-button {
	padding: 12px 24px;
}
.btn-primary.elementor-widget-button .elementor-button .elementor-button-content-wrapper {
	background-image: linear-gradient(to right, white, var(--four-color)) !important;
    color: transparent !important;
    background-clip: text;
	height: 24px;
	font-size: 18px;
	font-weight: bold;
}
.btn-primary.elementor-widget-button .elementor-button .elementor-button-content-wrapper .elementor-button-icon {
	display: none;
}
/* .btn-primary.elementor-widget-button .elementor-button :before {
	content: '';
	background-color: var(--e-global-color-primary);
} */

/* header */
.ekit-template-content-markup.ekit-template-content-header {
	position: sticky;
    top: 0px;
    z-index: 999;
}
.ekit-template-content-markup.ekit-template-content-header.header-sticky {
	box-shadow: 0 3px 13px 0 rgba(0, 0, 0, 0.15);
}
.ekit-template-content-markup.ekit-template-content-header .mona-header-main>.e-con-inner {
	transition: all 0.5s;
}
.ekit-template-content-markup.ekit-template-content-header.header-sticky .mona-header-main>.e-con-inner {
	padding-top: 5px;
	padding-bottom: 5px;
}

/* hero banner */
.hero-slider .swiper-pagination {
    bottom: 40px !important;
}
.hero-slider .swiper-slide .slide-content {
	opacity: 0;
	transition: all 1s linear;
	transform: translateY(50px);
}
.hero-slider .swiper-slide.swiper-slide-active .slide-content {
	opacity: 1;
	transform: translatey(0);
}

/* form */
form.wpcf7-form {
	--wc-red: #dc3232;
	position: relative;
}
form.wpcf7-form:before {
	content: '';
    position: absolute;
    background-image: url(../dermal/assets/images/loading.png);
    width: 25px;
    height: 25px;
    background-repeat: no-repeat;
    bottom: calc(50% - 12px);
    left: calc(50% - 12px);
    object-fit: cover;
    background-size: cover;
    animation: spin 1s infinite linear;
	opacity: 0;
	z-index: -1;
}
form.wpcf7-form.submitting:before,
form.wpcf7-form.submitting:after {
	opacity: 1;
}
form.wpcf7-form.submitting:before {
	z-index: 2;
}
form.wpcf7-form:after {
	content: "";
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    z-index: 1;
	opacity: 0;
	z-index: -1;
    background-color: rgb(254 249 220 / 50%);
}
form.wpcf7-form.submitting:after {
	z-index: 1;
}
@keyframes spin {
	from { transform: rotate(0deg); }
	to { transform: rotate(360deg); }
}
.mona-form-home .form-group {
	margin-bottom: 20px !important;
}
.mona-form-home p {
	margin-bottom: 0;
}
.wpcf7-not-valid-tip {
    font-size: 10px;
    line-height: 20px;
    font-weight: 500;
    background: var(--wc-red);
    color: white !important;
    margin-top: 8px;
    position: absolute;
    bottom: -20px;
    padding: 2px 8px;
    border-radius: 3px;
    width: fit-content;
    max-width: unset;
}
.wpcf7-not-valid-tip:before {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 10%;
    transform: translate(-50%);
    border-style: solid;
    border-width: 0 8px 8px;
    border-color: transparent transparent var(--wc-red);
}
.mona-form-home .form-group textarea {
	height: 120px;
}

/* dịch vụ */
.form-title-services input.wpcf7-form-control {
	background-color: #e9e9e9;
    background-clip: padding-box;
    border: var(--bs-border-width) solid #e9e9e9;
    border-radius: var(--bs-border-radius);
    width: 100%;
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--bs-body-color);
    pointer-events: none;
}
.service-image:before,
.our-dermatology-img::before,
.team-image::before,
.contact-us-img:before,
.how-we-work-img:before {
	background: linear-gradient(180deg, rgba(0, 0, 0, 0) 52.13%, var(--e-global-color-7b4c932) 81.58%);
}
.service-entry-item .ekit-wid-con,
.service-entry-item .ekit-wid-con .elementskit-infobox {
	height: 100%;
}

/* image - banner */
.mona-img-banner {
	aspect-ratio: 1920 / 730;
    overflow: hidden;
}
.mona-img-banner .elementor-widget-container,
.mona-img-banner img {
	height: 100% !important;
	width: 100% !important;
}
.mona-img-banner img {
	object-fit: cover;
}

/* đội ngũ chuyên gia */
.btn-team.team-social-list .elementor-button-link:after {
	background: var(--e-global-color-accentsecondary);
}
.mona-img-team .swiper-slide .swiper-slide-inner {
	aspect-ratio: 1 / 1;
	overflow: hidden;
}
.mona-img-team .swiper-slide .swiper-slide-inner img {
	width: 100% !important;
	height: 100% !important;
	object-fit: cover;
}
.mona-img-team.elementor-element .swiper .swiper-pagination-bullets.swiper-pagination-horizontal {
	bottom: -20px;
}

/* form popup */
form .required {
	padding-left: 5px;
    color: red !important;
}
form label {
	width: 100%;
	display: flex;
}
.pum-theme-lightbox .pum-container.popmake {
	border: none;
	border-radius: 20px;
	padding: 30px;
}
.pum-theme-lightbox .pum-container.popmake .pum-title.popmake-title {
	text-align: center;
	font-family: var(--e-global-typography-primary-font-family);
    font-weight: 500;
}
.pum-theme-lightbox .pum-container.popmake .pum-content {
	display: flex;
    justify-content: center;
}
.pum-theme-lightbox .pum-container.popmake .wpcf7-form {
	max-width: 600px;
	width: 100%;
}
.pum-theme-lightbox .pum-container.popmake .mona-form-booking textarea {
	height: 130px;
}
.pum-theme-lightbox .pum-container.popmake .mona-form-booking p {
	margin-bottom: 0;
}
form label,
.pum-theme-lightbox .pum-container.popmake .mona-form-booking .form-btn .wpcf7-submit {
	font-family: var(--e-global-typography-secondary-font-family);
}
.pum-theme-lightbox .pum-container.popmake .mona-form-booking .form-btn {
	text-align: center;
}
.pum-theme-lightbox .pum-container.popmake .mona-form-booking .form-control:focus {
	box-shadow: none;
}
.pum-theme-lightbox .pum-container.popmake .mona-form-booking .form-btn .wpcf7-submit:hover {
	background-color: var(--e-global-color-black);
}

/* about */
.mona-img-carousel .swiper-slide .swiper-slide-inner {
	aspect-ratio: 2 / 1;
	overflow: hidden;
}
.mona-img-carousel .swiper-slide .swiper-slide-inner img {
	width: 100%;
	height: 100%;
	border-radius: 20px;
	object-fit: cover;
}
.mission-vision-item .ekit-wid-con,
.mission-vision-item .ekit-wid-con .elementskit-infobox {
	height: 100%;
}
.contact-us-circle .elementor-widget-container {
	background-color: transparent !important;
	background-size: contain !important;
}
.contact-us-circle .elementor-widget-container:before {
	content: '';
    background-image: linear-gradient(180deg, var(--four-color) 0%, var(--e-global-color-white) 100%);
	display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 1000px;
    z-index: -1;
}
.reliable-expertise-box .funfact-content .number-percentage-wraper,
.about-team-member .funfact-content .number-percentage-wraper {
	background-image: linear-gradient(to right, white, var(--four-color)) !important;
    color: transparent !important;
    background-clip: text;
}

/* blog */
.comment-form .comment-form-author, 
.comment-form .comment-form-email, 
.comment-form .comment-form-author, 
.comment-form .comment-form-email {
	width: calc(49% - 20px);
}
.comment-form .comment-form-email,
.comment-form .comment-form-email {
	margin-right: 0;
    margin-left: 30px;
}

/* danh mục dịch vụ - sidebar */
.service-menu-sidebar > div > ul > li:first-child > a {
	background-image: url(/wp-content/uploads/2025/10/bg-kaime.jpg);
    background-size: 100% 100%;
}
.service-menu-sidebar > div > ul > li:first-child > a::before {
	background: var(--e-global-color-c6db2dc);
}
.service-menu-sidebar > div > ul > li:first-child > a:not(:hover) .elementor-icon-list-text {
	color: var(--e-global-color-c6db2dc) !important;
}
.service-menu-sidebar > div > ul > li:first-child > a:not(:hover) svg {
	fill: var(--e-global-color-c6db2dc) !important;
}

.service-menu-sidebar > div > ul > li:nth-child(2) > a {
	background-image: url(/wp-content/uploads/2025/10/bg-kaibeauty.jpg);
    background-size: 100% 100%;
}
.service-menu-sidebar > div > ul > li:nth-child(2) > a::before {
	background: var(--e-global-color-45214c8);
}
.service-menu-sidebar > div > ul > li:nth-child(2) > a:not(:hover) .elementor-icon-list-text {
	color: var(--e-global-color-45214c8) !important;
}
.service-menu-sidebar > div > ul > li:nth-child(2) > a:not(:hover) svg {
	fill: var(--e-global-color-45214c8) !important;
}

/* cta dịch vụ - sidebar */
.sidebar-cta-contact .elementskit-infobox::before {
	opacity: 0;
}

/* tablet */
@media (max-width: 1024px) {
	/* image banner */
	.mona-img-banner {
		aspect-ratio: 1920 / 1230;
	}
}

/* mobile */
@media (max-width: 767px) {
	.p-relative-mb {
		position: unset !important;
	}
	
	/* about */
	.about-counter-item .elementskit-funfact .funfact-icon {
		width: 40px;
	}
}

/* ----- end custom ----- */

